import { CliConfig, DirectoryConfig } from "../shared/types.js";
export declare class ConfigurationService {
    private _directoryConfig?;
    get directoryConfig(): DirectoryConfig;
    set directoryConfig(config: DirectoryConfig);
    getCliConfig(): Promise<CliConfig>;
    getLicenseKey(): Promise<string | undefined>;
    setCliConfig(config: {
        mode: "auto" | "offline" | "remote";
        token?: string;
    }): Promise<void>;
    private parseMode;
    private processConfig;
}
